TraitInjectionUtils (Grails 6.0.0)

Package: org.grails.compiler.injection

## [Java] Class TraitInjectionUtils

- org.grails.compiler.injection.TraitInjectionUtils

-     public class TraitInjectionUtils
      extends java.lang.Object

  Authors:
    Jeff Brown
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.util.List<TraitInjector>` | `traitInjectors` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `private TraitInjectionUtils ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private static boolean` | `addTrait(org.codehaus.groovy.ast.ClassNode classNode, java.lang.Class trait)`
    `` | `private static void` | `doInjectionInternal(org.codehaus.groovy.control.CompilationUnit unit, org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode, java.util.List<TraitInjector> injectorsToUse)`
    `` | `private static void` | `extendTraits(org.codehaus.groovy.control.CompilationUnit unit, org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `private static java.util.List<TraitInjector>` | `getTraitInjectors()`
    `` | `public static void` | `injectTrait(org.codehaus.groovy.control.CompilationUnit unit, org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode, java.lang.Class trait)`
    `` | `public static void` | `processTraitsForNode(org.codehaus.groovy.control.SourceUnit sourceUnit, org.codehaus.groovy.ast.ClassNode cNode, java.lang.String artefactType, org.codehaus.groovy.control.CompilationUnit compilationUnit)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static java.util.List<TraitInjector> traitInjectors

  - ### Constructor Detail

    - #### private TraitInjectionUtils()

  - ### Method Detail

    - #### private static boolean addTrait(org.codehaus.groovy.ast.ClassNode classNode, java.lang.Class trait)

    - #### private static void doInjectionInternal(org.codehaus.groovy.control.CompilationUnit unit, org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode, java.util.List<TraitInjector> injectorsToUse)

    - #### private static void extendTraits(org.codehaus.groovy.control.CompilationUnit unit, org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

    - #### private static java.util.List<TraitInjector> getTraitInjectors()

    - #### public static void injectTrait(org.codehaus.groovy.control.CompilationUnit unit, org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode, java.lang.Class trait)

    - #### public static void processTraitsForNode(org.codehaus.groovy.control.SourceUnit sourceUnit, org.codehaus.groovy.ast.ClassNode cNode, java.lang.String artefactType, org.codehaus.groovy.control.CompilationUnit compilationUnit)